Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008613opensim[REGION] Scripting Enginepublic2019-10-23 07:472019-11-18 04:33
ReporterEdward Ashford 
Assigned Totampa 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.9.1.1 
Summary0008613: llDialog: At least 1 button must be shown - Scripting Flaw
DescriptionllDialog: At least 1 button must be shown hop://login.osgrid.org/ElvenSong/778/835/3506 [^]

Yeah there are LOTS of those. It's a scripting flaw in Opensim that doesn't exist on SL
To fix it.... I would have to update literally hundreds of scripts. Big job. But thanks for letting me know. : )
Additional InformationOpenSim 0.9.1.0 Snail Dev OSgrid 0.9.1.0 a1d132d3ca: 2018-10-25 02:36:36 +0100 (Win/.NET)
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Script Engine
Environment.NET / Windows64
Mono VersionNone
ViewerFirestormOS 6.0.2.56680
Attached Files

- Relationships
related to 0008447resolvedtampa Feature Request: llDialog() to allow empty [] list 

-  Notes
(0035772)
melanie (administrator)
2019-10-23 09:18

That error message also appears in SL. Not having it was a bug that was fixed. We don't usually reintroduce fixed bugs.
(0035773)
BillBlight (developer)
2019-10-23 10:48

Actually ..

http://opensimulator.org/viewgit/?a=commit&p=opensim&h=43f4eca67cb08fea911cb456b9301d6b74a5892c [^]

your region is running OpenSim 0.9.1.0 Snail Dev OSgrid 0.9.1.0 a1d132d3ca: 2018-10-25 02:36:36 +0100 (Win/.NET)
almost a year old build ... This was fixed in January of 2019
(0035774)
Edward Ashford (reporter)
2019-10-23 17:02

Oh ok, thanks BillBlight. It's not actually my region, though I'll let the region owner know that.

- Issue History
Date Modified Username Field Change
2019-10-23 07:47 Edward Ashford New Issue
2019-10-23 09:18 melanie Note Added: 0035772
2019-10-23 10:48 BillBlight Relationship added related to 0008447
2019-10-23 10:48 BillBlight Note Added: 0035773
2019-10-23 17:02 Edward Ashford Note Added: 0035774
2019-11-18 04:33 tampa Status new => resolved
2019-11-18 04:33 tampa Fixed in Version => 0.9.1.1
2019-11-18 04:33 tampa Resolution open => fixed
2019-11-18 04:33 tampa Assigned To => tampa


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker